using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record CamstarOracleConfiguration(string DateFormat,
                                         string Directory,
                                         string LogFilter,
                                         string[] MessageFilters,
                                         string MonitorApplicationResource,
                                         string MonitorApplicationSite,
                                         int MillisecondsDelay,
                                         int RollingMinutes)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, CamstarOracleConfigurationSourceGenerationContext.Default.CamstarOracleConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(CamstarOracleConfiguration))]
internal partial class CamstarOracleConfigurationSourceGenerationContext : JsonSerializerContext
{
}