using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record DriveConfiguration(string Letter,
                                 string Password,
                                 string Share,
                                 bool? Use,
                                 string User)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, DriveConfigurationSourceGenerationContext.Default.DriveConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(DriveConfiguration))]
internal partial class DriveConfigurationSourceGenerationContext : JsonSerializerContext
{
}