using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record EDADatabaseConfiguration(string CSharpDateTimeFormat,
                                       string FileShare,
                                       string Name,
                                       string OracleDateTimeFormat,
                                       string Password,
                                       string TNS,
                                       string UserName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, EDADatabaseConfigurationSourceGenerationContext.Default.EDADatabaseConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(EDADatabaseConfiguration))]
internal partial class EDADatabaseConfigurationSourceGenerationContext : JsonSerializerContext
{
}