using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record FileWatcherConfiguration(string Company,
                                       string Helper,
                                       int MillisecondsDelay,
                                       string WatchDirectory)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, FileWatcherConfigurationSourceGenerationContext.Default.FileWatcherConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(FileWatcherConfiguration))]
internal partial class FileWatcherConfigurationSourceGenerationContext : JsonSerializerContext
{
}