using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record Test(string Name,
                   long Value);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Test[]))]
internal partial class TestCollectionSourceGenerationContext : JsonSerializerContext
{
}

public record InfinityQSConfiguration(string ConnectionString,
                                      string DestinationDirectory,
                                      long SubGroupTime,
                                      string TestsFile,
                                      Test[] Tests)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, InfinityQSConfigurationSourceGenerationContext.Default.InfinityQSConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(InfinityQSConfiguration))]
internal partial class InfinityQSConfigurationSourceGenerationContext : JsonSerializerContext
{
}