using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record NugetConfiguration(string Destination,
                                 string KeyFileExtension,
                                 string KeyFileExtensionB,
                                 string KeyFileExtensionC,
                                 bool RenameToLower,
                                 string SearchPattern,
                                 string Source)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, NugetConfigurationSourceGenerationContext.Default.NugetConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(NugetConfiguration))]
internal partial class NugetConfigurationSourceGenerationContext : JsonSerializerContext
{
}